Page MenuHomePhabricator

sql error: Error: 1048 Column 'fa_description_id' cannot be null
Closed, ResolvedPublic

Description

Error

Request ID: AWaI8n7_00on8STvX8wV

message
A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: INSERT  INTO `oldimage` (oi_name,oi_archive_name,oi_size,oi_width,oi_height,oi_bits,oi_timestamp,oi_metadata,oi_media_type,oi_major_mime,oi_minor_mime,oi_sha1,oi_description,oi_description_id,oi_user,oi_user_text) VALUES ('Adult_Rabbit_card.jpg','20181018205241!Adult_Rabbit_card.jpg','108794','375','500','8','20131019045426','a:1:{s:22:\"MEDIAWIKI_EXIF_VERSION\";i:2;}','BITMAP','image','jpeg','1rb153aifdbsn1bro3m4yy54masjihk','{{Information\n|Description    ={{en|1=This is a picture of an Adult Rabbit Card, which is the standard card type of the Rabbit Card. This is a new system introduced in Bangkok in 2012.}}\n|Source         =http://www.flickr.com/photos/82365211@N00/909361...',NULL,'1544151','Springyboy')
Function: LocalFile::recordUpload2
Error: 1048 Column 'oi_description_id' cannot be null (10.64.48.23)
trace
#0 /srv/mediawiki/php-1.32.0-wmf.26/includes/libs/rdbms/database/Database.php(1466): Wikimedia\Rdbms\Database->makeQueryException(string, integer, string, string)
#1 /srv/mediawiki/php-1.32.0-wmf.26/includes/libs/rdbms/database/Database.php(1226): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#2 /srv/mediawiki/php-1.32.0-wmf.26/includes/libs/rdbms/database/Database.php(2068): Wikimedia\Rdbms\Database->query(string, string)
#3 /srv/mediawiki/php-1.32.0-wmf.26/includes/libs/rdbms/database/Database.php(3056): Wikimedia\Rdbms\Database->insert(string, array, string, string)
#4 /srv/mediawiki/php-1.32.0-wmf.26/includes/libs/rdbms/database/Database.php(2990): Wikimedia\Rdbms\Database->nonNativeInsertSelect(string, array, array, array, string, array, array, array)
#5 /srv/mediawiki/php-1.32.0-wmf.26/includes/filerepo/file/LocalFile.php(1615): Wikimedia\Rdbms\Database->insertSelect(string, array, array, array, string, array, array, array)
#6 /srv/mediawiki/php-1.32.0-wmf.26/includes/filerepo/file/LocalFile.php(1370): LocalFile->recordUpload2(string, string, string, array, string, User, NULL, boolean)
#7 /srv/mediawiki/php-1.32.0-wmf.26/includes/upload/UploadBase.php(869): LocalFile->upload(string, string, string, integer, array, boolean, User, NULL)
#8 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiUpload.php(828): UploadBase->performUpload(string, string, boolean, User, NULL)
#9 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiUpload.php(146): ApiUpload->performUpload(array)
#10 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiUpload.php(104): ApiUpload->getContextResult()
#11 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiMain.php(1570): ApiUpload->execute()
#12 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiMain.php(531): ApiMain->executeAction()
#13 /srv/mediawiki/php-1.32.0-wmf.26/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#14 /srv/mediawiki/php-1.32.0-wmf.26/api.php(87): ApiMain->execute()
#15 /srv/mediawiki/w/api.php(3): include(string)
#16 {main}

Impact

Lots of instances on commons, rolled back the branch in response.

Notes

Event Timeline

mmodell created this task.Oct 18 2018, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 8:52 PM
mmodell updated the task description. (Show Details)Oct 18 2018, 8:53 PM
Paladox updated the task description. (Show Details)Oct 18 2018, 8:53 PM
mmodell triaged this task as Unbreak Now! priority.Oct 18 2018, 8:53 PM
mmodell updated the task description. (Show Details)
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 18 2018, 8:55 PM

Change 468469 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468469

Change 468470 had a related patch set uploaded (by 20after4; owner: Anomie):
[mediawiki/core@wmf/1.32.0-wmf.26] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468470

Reedy added a subscriber: Reedy.Oct 18 2018, 9:04 PM

Could this: T207420: Database error on deletion be related?

Yup, same issue

Jcb added a subscriber: Jcb.Oct 18 2018, 9:07 PM

Change 468475 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/468475

Change 468470 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.26] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468470

Change 468476 had a related patch set uploaded (by 20after4; owner: Anomie):
[mediawiki/core@REL1_32] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/468476

Change 468469 merged by jenkins-bot:
[mediawiki/core@master] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468469

Mentioned in SAL (#wikimedia-operations) [2018-10-18T21:29:20Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.26/includes/filerepo/file/LocalFile.php: sync https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/468470/ refs T207419 (duration: 00m 54s)

Change 468478 had a related patch set uploaded (by Paladox; owner: Anomie):
[mediawiki/core@REL1_32] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468478

Mentioned in SAL (#wikimedia-operations) [2018-10-18T21:46:39Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.26/includes/filerepo/file/LocalFile.php: sync Id97e1c7c2655d90928c777bc3377e5ea23f49f6b refs T207419 (duration: 00m 53s)

mmodell closed this task as Resolved.Oct 18 2018, 9:51 PM
mmodell claimed this task.

Change 468478 merged by jenkins-bot:
[mediawiki/core@REL1_32] Add COALESCE for image deletion and imgcomment_description_id

https://gerrit.wikimedia.org/r/468478

Change 468476 merged by jenkins-bot:
[mediawiki/core@REL1_32] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/468476

Change 468475 merged by jenkins-bot:
[mediawiki/core@master] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/468475

Change 469199 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@wmf/1.32.0-wmf.26] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/469199

Change 469199 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.26] Fix comment handling on image upload or deletion

https://gerrit.wikimedia.org/r/469199

Mentioned in SAL (#wikimedia-operations) [2018-10-23T14:22:32Z] <anomie@deploy1001> Synchronized php-1.32.0-wmf.26/includes/filerepo/file/LocalFile.php: Backport for T207419 (duration: 00m 47s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM